// routes/projectMemberRoutes.js
const express = require('express');
const router = express.Router();
const pmController = require('../controllers/projectMemberController');

// สร้างข้อมูลสมาชิกโครงการ
router.post('/', pmController.createProjectMember);

// ดึงข้อมูลสมาชิกโครงการทั้งหมด
router.get('/', pmController.getAllProjectMembers);

// ดึงข้อมูลสมาชิกโครงการจาก pm_id
router.get('/:id', pmController.getProjectMemberById);

// อัปเดตข้อมูลสมาชิกโครงการ
router.put('/:id', pmController.updateProjectMember);

// ลบข้อมูลสมาชิกโครงการ
router.delete('/:id', pmController.deleteProjectMember);

module.exports = router;
